GET/Collaborators/{collaboratorId}/advances/{advanceId}
Returns the configuration of one advance for a collaborator: name, area, activity and its modules with sort order, due date, required
flag, task-tracking and task-review flags and template info (id, name, label, icon). The advance id comes from
Collaborators_GetCollaboratorAdvanceConfig and the module ids returned here are used by the module operations; needs collaborator admin rights.
Path Parameters
| Field | Type | Required | Description |
|---|
| collaboratorId | uuid | Required | |
| advanceId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| area | GetCollaboratorAdvanceConfigurationAreaObj | |
| activity | GetCollaboratorAdvanceConfigurationActivityObj | |
| modules | GetCollaboratorAdvanceConfigurationModuleObj[]| null | |
GetCollaboratorAdvanceConfigurationAreaObj
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
GetCollaboratorAdvanceConfigurationActivityObj
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| startTime | date-time | |
| endTime | date-time | |
GetCollaboratorAdvanceConfigurationModuleObj
| Field | Type | Description |
|---|
| id | uuid | |
| index | integer | |
| dueDate | date-time | |
| isRequired | boolean | |
| isTaskTracked | boolean | |
| isTaskReviewRequired | boolean | |
| module | GetCollaboratorAdvanceConfigurationModuleObjTemplate | |
GetCollaboratorAdvanceConfigurationModuleObjTemplate
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| label | string| null | |
| icon | string| null | |